Skip to main content
POST
Create a MaterialRate within a Company context

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Body

application/json
material_id
string<uuid>
required
unit_of_measure
enum<string>
required
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

project_id
string<uuid> | null
site_id
string<uuid> | null
customer_account_id
string<uuid> | null
buy_price
number | null
sell_price
number | null

Response

Created

data
MaterialRate-Read · object
required